Edit

Workspaces - Set Inbound External Data Shares Policy

Sets the inbound External Data Shares bypass policy for a workspace. This API enables workspace administrators to allow or deny External Data Shares traffic to bypass inbound networking restrictions. This feature is currently in preview.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

Permissions

The caller must have admin workspace role.

Required Delegated Scopes

Workspace.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

PUT https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/networking/communicationPolicy/inbound/externalDataShares

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Request Header

Name Required Type Description
If-Match

string

An ETag value. The ETag must be specified in quotes. If provided, the call will succeed only if the resource's ETag matches the provided ETag.

Request Body

Name Type Description
defaultAction

NetworkAccessRule

Defines whether External Data Shares traffic is allowed to bypass inbound networking restrictions.

Responses

Name Type Description
200 OK

Request completed successfully.

Headers

ETag: string

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

Examples

Set workspace inbound External Data Shares policy example

Sample request

PUT https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/networking/communicationPolicy/inbound/externalDataShares


{
  "defaultAction": "Allow"
}

Sample response

ETag: "e5f6g7h8"

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

NetworkAccessRule

The default policy for workspace access from public networks. If omitted from a PUT request body, this field defaults to Allow, which may unintentionally open network access. Always explicitly specify this field in every PUT request body.

WorkspaceInboundExternalDataSharesPolicy

The inbound networking exception policy for External Data Shares in a workspace.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

NetworkAccessRule

The default policy for workspace access from public networks. If omitted from a PUT request body, this field defaults to Allow, which may unintentionally open network access. Always explicitly specify this field in every PUT request body.

Value Description
Allow

Allow all connections.

Deny

Deny all connections.

WorkspaceInboundExternalDataSharesPolicy

The inbound networking exception policy for External Data Shares in a workspace.

Name Type Description
defaultAction

NetworkAccessRule

Defines whether External Data Shares traffic is allowed to bypass inbound networking restrictions.